<?php

/**
 * Lecture des CSV des datasets initiaux et les convertit en format $array[idItem] = nomItem
 *
 * Attention, ne lit que les CSV sous la forme idItem;nomItem
 *
 * @param string $csvFile Fichier CSV à lire
 * @param string $delimiter Séparateur CSV
 * @return array Tableau de résultats sous la forme $array[idItem] = nomItem
 */
function getCsvToArrayKeyValue(string $csvFile, string $delimiter = ";") : array  {
	if (!$csvFileHandler = fopen($csvFile, 'rb')){
		return array();
	}
	
	// Lecture des données
	$returnArray = [];
	while (($rawLine = fgetcsv($csvFileHandler, 256, $delimiter)) !== FALSE) {
		$returnArray[(string) $rawLine[0]] = $rawLine[1];
	}
	
	fclose($csvFileHandler);
	return $returnArray;
}
